Package be.e_contract.ejsf.component.async

# Class AsyncTagHandler

java.lang.Object
javax.faces.view.facelets.TagHandler
javax.faces.view.facelets.MetaTagHandler
javax.faces.view.facelets.DelegatingMetaTagHandler
javax.faces.view.facelets.ComponentHandler
be.e_contract.ejsf.component.async.AsyncTagHandler

All Implemented Interfaces:
  `javax.faces.view.facelets.FaceletHandler`

public class AsyncTagHandler extends javax.faces.view.facelets.ComponentHandler

## Field Summary

### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

`delegateFactory`

### Fields inherited from class javax.faces.view.facelets.TagHandler

`nextHandler, tag, tagId`

## Constructor Summary

Constructors
Constructor
Description
`AsyncTagHandler(javax.faces.view.facelets.ComponentConfig componentConfig)`

## Method Summary

Modifier and Type
Method
Description
`protected javax.faces.view.facelets.MetaRuleset`
`createMetaRuleset(Class type)`

### Methods inherited from class javax.faces.view.facelets.ComponentHandler

`createComponent, getComponentConfig, getTagHandlerDelegate, isNew, onComponentCreated, onComponentPopulated`

### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

`apply, applyNextHandler, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

### Methods inherited from class javax.faces.view.facelets.TagHandler

`getAttribute, getRequiredAttribute, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AsyncTagHandler

public AsyncTagHandler(javax.faces.view.facelets.ComponentConfig componentConfig)

## Method Details

### createMetaRuleset

protected javax.faces.view.facelets.MetaRuleset createMetaRuleset(Class type)

Overrides:
  `createMetaRuleset` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`